using System;
using NinjaTrader.Cbi;

internal sealed class Delegate512 : MulticastDelegate
{
	public extern void Invoke(EventHandler<AccountStatusEventArgs> eventHandler_0);

	public static void smethod_0(EventHandler<AccountStatusEventArgs> eventHandler_0, Delegate512 delegate512_1)
	{
		delegate512_1(eventHandler_0);
	}

	public extern Delegate512(object object_0, IntPtr intptr_0);

	static Delegate512()
	{
		Class10.smethod_13(typeof(Delegate512).TypeHandle);
	}

	internal static Delegate512 delegate512_0;
}
